Commit 7db5f91c authored by Natanael Copa's avatar Natanael Copa

main/*-grsec: upgrade kernel

fixes #135
parent cc1b42ac
......@@ -14,16 +14,14 @@ _realname=dahdi-linux
pkgname=${_realname}-${_flavor}
pkgver=2.2.0
pkgrel=8
pkgrel=9
pkgdesc="Digium Asterisk Hardware Device Interface drivers"
url="http://www.asterisk.org"
license="GPL"
#depends="dahdi-linux linux-${_flavor}=${_kernelver}"
depends="dahdi-linux linux-${_flavor}=${_kernelver}"
# we need wget and tar because make install downloads firmware and uses fancy
# options for tar and wget.
makedepends="linux-${_flavor}-dev=${_kernelver} wget tar perl"
#makedepends="linux-${_flavor}-dev wget tar perl"
install=
subpackages=
source="http://downloads.digium.com/pub/telephony/dahdi-linux/releases/${_realname}-$pkgver.tar.gz
......
......@@ -15,15 +15,13 @@ if [ -f ../iscsitarget/APKBUILD ]; then
fi
pkgname=${_realname}-${_flavor}
pkgver=${pkgver:-0.4.17}
pkgrel=7
pkgrel=8
pkgdesc="$_flavor kernel modules for iscsitarget"
url="http://iscsitarget.sourceforge.net/"
license="GPL-2"
#depends="linux-${_flavor}=${_kernelver}"
depends="linux-${_flavor}"
depends="linux-${_flavor}=${_kernelver}"
install=
#makedepends="linux-${_flavor}-dev=${_kernelver}"
makedepends="linux-${_flavor}-dev"
makedepends="linux-${_flavor}-dev=${_kernelver}"
subpackages=
source="http://downloads.sourceforge.net/$_realname/$_realname-$pkgver.tar.gz
iscsitarget-0.4.17+linux-2.6.28.patch
......
......@@ -12,7 +12,7 @@ _abi_release=$pkgver-${_flavor}
pkgname=${_realname}-${_flavor}
pkgver=1.4.0_pre1
_realver=1.4.0pre1
pkgrel=0
pkgrel=1
pkgdesc="$_flavor kernel modules for kemu"
url="http://www.nongnu.org/qemu/"
license="GPL"
......
......@@ -2,9 +2,9 @@
_flavor=grsec
pkgname=linux-${_flavor}
pkgver=2.6.30.4
pkgver=2.6.30.5
_kernver=2.6.30
pkgrel=5
pkgrel=0
pkgdesc="Linux kernel with grsecurity"
url=http://grsecurity.net
depends="mkinitfs"
......@@ -13,11 +13,10 @@ _config=${config:-kernelconfig}
install="$pkgname.post-install $pkgname.post-upgrade"
source="ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_kernver.tar.bz2
ftp://ftp.kernel.org/pub/linux/kernel/v2.6/patch-$pkgver.bz2
grsecurity-2.1.14-2.6.30.4-200908132040.patch
grsecurity-2.1.14-2.6.30.5-200908261614.patch
linux-nbma-mroute-v4-2.6.30.diff
net-next-2.6.git-5ef12d98a19254ee5dc851bd83e214b43ec1f725.patch
$_config
$install
"
subpackages="$pkgname-dev"
license="GPL-2"
......@@ -112,10 +111,8 @@ dev() {
}
md5sums="7a80058a6382e5108cdb5554d1609615 linux-2.6.30.tar.bz2
d0fc44b54ba5953140b3f2aa9a1f2580 patch-2.6.30.4.bz2
624831f0d2b2caeb2b4756a5b6290c7d grsecurity-2.1.14-2.6.30.4-200908132040.patch
47841c7ff5c81a7b349a79f2fa8e9138 patch-2.6.30.5.bz2
a725c0779f365787127c71810877586d grsecurity-2.1.14-2.6.30.5-200908261614.patch
7420c0b1095335990313656b114e1379 linux-nbma-mroute-v4-2.6.30.diff
ca05fd252783b82e01610e775cf56498 net-next-2.6.git-5ef12d98a19254ee5dc851bd83e214b43ec1f725.patch
d9461120ad8657df4bcf0112f8fb2bb8 kernelconfig
2834240b15805b248ef2a973b1ad4416 linux-grsec.post-install
2834240b15805b248ef2a973b1ad4416 linux-grsec.post-upgrade"
ede34b2613f54cf1eae8f37a61d0e085 kernelconfig"
#
# Automatically generated make config: don't edit
# Linux kernel version: 2.6.30.4
# Mon Aug 17 10:23:22 2009
# Linux kernel version: 2.6.30.5
# Thu Aug 27 08:08:50 2009
#
# CONFIG_64BIT is not set
CONFIG_X86_32=y
......@@ -3865,7 +3865,6 @@ CONFIG_THINKPAD_ACPI=m
# CONFIG_THINKPAD_ACPI_DEBUGFACILITIES is not set
# CONFIG_THINKPAD_ACPI_DEBUG is not set
# CONFIG_THINKPAD_ACPI_UNSAFE_LEDS is not set
CONFIG_THINKPAD_ACPI_BAY=y
CONFIG_THINKPAD_ACPI_VIDEO=y
CONFIG_THINKPAD_ACPI_HOTKEY_POLL=y
CONFIG_INTEL_MENLOW=m
......@@ -4237,6 +4236,7 @@ CONFIG_GRKERNSEC_KMEM=y
CONFIG_GRKERNSEC_PROC_MEMMAP=y
# CONFIG_GRKERNSEC_BRUTE is not set
# CONFIG_GRKERNSEC_MODSTOP is not set
# CONFIG_GRKERNSEC_MODHARDEN is not set
# CONFIG_GRKERNSEC_HIDESYM is not set
#
......
......@@ -16,14 +16,12 @@ fi
pkgname=${_realname}-${_flavor}
pkgver=${pkgver:-1.17}
pkgrel=5
pkgrel=6
pkgdesc="Iptables extensions kernel modules"
url="http://xtables-addons.sourceforge.net/"
license="GPL"
#depends="linux-${_flavor}=${_kernelver}"
depends="linux-${_flavor}"
#makedepends="linux-${_flavor}-dev=${_kernelver} iptables-dev pkgconfig"
makedepends="linux-${_flavor}-dev iptables-dev pkgconfig"
depends="linux-${_flavor}=${_kernelver}"
makedepends="linux-${_flavor}-dev=${_kernelver} iptables-dev pkgconfig"
install=
subpackages=
source="http://downloads.sourceforge.net/$_realname/$_realname-$pkgver.tar.bz2"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment